Bug 477646 - abi mismatch radeonhd-1.2.4-1.1.20081212git.fc11 and xserver1.5.99.3-1.fc11.i386
abi mismatch radeonhd-1.2.4-1.1.20081212git.fc11 and xserver1.5.99.3-1.fc11.i386
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 12:20 EST by Clyde E. Kunkel
Modified: 2008-12-22 14:04 EST (History)
2 users (show)

See Also:
Fixed In Version: xorg-x11-drv-radeonhd-1.2.4-1.2.20081212git.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 13:10:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log of failed start (original download failed) (4.59 KB, text/plain)
2008-12-22 12:21 EST, Clyde E. Kunkel
no flags Details

  None (edit)
Description Clyde E. Kunkel 2008-12-22 12:20:10 EST
Description of problem:
xserver won't start due to abi mismatch between current radeonhd driver and current xserver.

Version-Release number of selected component (if applicable):
xorg-x11-drv-radeonhd-1.2.4-1.1.20081212git.fc11.i386
xorg-x11-server-common-1.5.99.3-1.fc11.i386
xorg-x11-server-Xorg-1.5.99.3-1.fc11.i386


How reproducible:
Every time

Steps to Reproduce:
1. boot to runlevel 5
2.
3. g
  
Actual results:
flashing screen then nothing

Expected results:
gdm screen

Additional info:
removed xorg.conf with radeonhd, then x starts normally with ati driver
failing xorg log attached.
Comment 1 Clyde E. Kunkel 2008-12-22 12:21:48 EST
Created attachment 327674 [details]
xorg log of failed start (original download failed)
Comment 2 Hans Ulrich Niedermann 2008-12-22 13:10:55 EST
Should be fixed in xorg-x11-drv-radeonhd-1.2.4-1.2.20081212git.fc11.

Get it from http://koji.fedoraproject.org/koji/taskinfo?taskID=1016525 right now or from your rawhide repository whenever that will have been updated.

Thanks for the report. Some day I'll make an automatic dependency test for the ABI version, I guess :)
Comment 3 Clyde E. Kunkel 2008-12-22 14:04:06 EST
Thanks for the quick fix...now works for me.

Note You need to log in before you can comment on or make changes to this bug.